Loading...
Searching...
No Matches
nodeinterface.hh File Reference
`#include <cstddef>`
`#include <type_traits>`
`#include <dune/common/documentation.hh>`

Go to the source code of this file.

## Classes

struct | Dune::TypeTree::NodeInterface
| Interface for nodes in a dune-typetree. More...

## Namespaces

namespace | Dune
namespace | Dune::TypeTree

## Typedefs

template<typename Node>
using | Dune::TypeTree::NodeTag = typename std::decay_t<Node>::NodeTag
| Returns the node tag of the given Node.
template<typename T>
using | Dune::TypeTree::ImplementationTag = typename std::decay_t<T>::ImplementationTag
| Returns the implementation tag of the given Node.
template<typename Node>
using | Dune::TypeTree::StaticDegree = decltype(Node::degree())
| Returns the statically known degree of the given Node type as a std::integral_constant.

## Functions

template<typename Node>
std::size_t | Dune::TypeTree::degree (const Node &node)
| Returns the degree of node as run time information.